Bug 388036 - Include support for autocrypt
Summary: Include support for autocrypt
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: crypto (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 388332 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-12-19 14:32 UTC by OlafLostViking
Modified: 2021-03-14 19:14 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description OlafLostViking 2017-12-19 14:32:03 UTC
To improve the ease of use for PGP based mail encryption, it'd be great if KMail could join the ranks [1] of autocrypt [2] supporting mail client.s

Basically, Autocrypt just adds another mail header which includes meta informations for further encryption, including the public key of the sender.

[1] https://autocrypt.org/en/latest/dev-status.html
[2] https://autocrypt.org/en/latest/details.html
Comment 1 Sebastian Schlatow 2017-12-29 20:49:42 UTC
*** Bug 388332 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Kahn Gillmor 2018-01-02 15:45:13 UTC
Autocrypt is more than just adding another mail header.  In particular, autocrypt is about maintaining state of the peer's keys, and providing a simple interface for the user to be able to encrypt when they want to.
Comment 3 Daniel Kahn Gillmor 2018-01-02 15:45:32 UTC
It would be great to have autocrypt support in kmail!
Comment 4 Brent 2018-10-16 14:30:23 UTC
+1!
Comment 5 Martin Steigerwald 2019-07-04 20:09:49 UTC
There is already a Phabricator task tagged for KDE Privacy Goal about this. Thus confirming.

Autocrypt support for kmail
https://phabricator.kde.org/T8408

This is a junior job suitable for new contributors. So if you like to help, get in touch with KDEPIM team.

Otherwise please have patience until someone else implements it.
Comment 6 Sandro Knauß 2021-02-22 00:17:53 UTC
KMail has now a basic Autocrypt support for more information see the blog post[1]. Currently you need to enable it by modifiing the configfiles by hand. Maybe the upcoming version 21.04 will have this feature available for users via dialogs.

[1] https://blog.sandroknauss.de/autocrypt-support-in-kontact/
Comment 7 je-vv 2021-02-22 00:32:26 UTC
You still need to select by hand you want to encrypt, even when the recipient is found to be able to decrypt...  But it's great to see it's getting there...
Comment 8 Sandro Knauß 2021-03-14 19:14:50 UTC
Git commit 6ac0bac57ae8bcba77e765700ddcaccb8229304e by Sandro Knauß.
Committed on 14/03/2021 at 19:10.
Pushed by knauss into branch 'master'.

KMComposerWin: Add Autocrypt support for recipients.

If Autocrypt key is detected for a recipient, the mail is automatically
encrypted and the user sees feedback, that an encryption key is
available.

M  +47   -1    src/editor/kmcomposerwin.cpp

https://invent.kde.org/pim/kmail/commit/6ac0bac57ae8bcba77e765700ddcaccb8229304e